package com.muyu.common.system.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张腾
 * @Package：com.muyu.common.system.domain
 * @Project：cloud-server-8
 * @name：DatasourceInfo
 * @Date：2024/9/18 19:25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DatasourceInfo {

    /**
     * 键
     */
    private String key;

    /**
     * 地址
     */
    private String url;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;
}
