package com.muyu.car;

import com.muyu.car.service.CarMessageService;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;

import javax.annotation.Resource;

@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
@EnableCaching
public class CarApplication {
    public static void main(String[] args){
        SpringApplication.run(CarApplication.class,args);
    }

}
