package com.muyu.car.service;

import com.alibaba.fastjson.JSONObject;
import com.muyu.car.domain.CarMessage;
import com.muyu.common.core.domain.Result;

import java.util.List;

public interface CarMessageService {

    /**
     * 根据所属车类别 解析 车辆报文模板
     * @param
     * @return
     */
    List<CarMessage> selectCarMessageList(Integer carMessageCartype);


    /**
     * 添加车辆报文规则
     */
    Result insertCarMessage(CarMessage carMessage);


    /**
     * 删除车辆报文规则
     */
    Result delectByCarMessageId(Integer carMessageId);


    /**
     * 修改车辆报文规则
     */
    Result updateCarMessage(CarMessage carMessage);


    /**
     *
     */

    /**
     * 分割字符串获取报文信息
     */
    JSONObject inciseCarMessage(String testString);



}
