package com.muyu.system.domain.resp;


import com.muyu.system.domain.vo.TreeSelect;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author DongZl
 * @description: 部门树返回结果集
 * @Date 2023-6-19 下午 02:52
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DeptTreeResp {

    /**
     * 授权的ID
     */
    private List<Long> checkedKeys;

    /**
     * 部门树
     */
    private List<TreeSelect> depts;
}
