package com.muyu.system.domain.resp;

import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Set;

/**
 * @author DongZl
 * @description: 用户信息结果集
 * @Date 2023-6-19 下午 02:42
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserInfoResp {

    /**
     * 用户
     */
    private SysUser user;

    /**
     * 角色集合
     */
    private Set<String> roles;

    /**
     * 权限集合
     */
    private Set<String> permissions;
}
