package com.muyu.test;

import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：张腾
 * @Package：com.muyu.test
 * @Project：cloud-server-8
 * @name：TestApplication
 * @Date：2024/9/20 19:16
 */
@SpringBootApplication
@EnableMyFeignClients
public class TestApplication {

    public static void main(String[] args) {
        SpringApplication.run(TestApplication.class,args);
    }
}
