package com.muyu.test.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：张腾
 * @Package：com.muyu.test.domain
 * @Project：cloud-server-8
 * @name：User
 * @Date：2024/9/20 19:11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "user",autoResultMap = true)
public class User {

    @TableId(value = "user_id")
    private Integer userId;

    private String userName;
}
