#!/usr/bin/env bash
docker run -d \
 --name elasticsearch \
 -e ES_JAVA_OPTS="-Xms512m -Xmx512m" \
 --network skywalking \
 -e "discovery.type=single-node" \
 -p 9200:9200 \
 -p 9300:9300 \
 -v ./data:/usr/share/elasticsearch/data \
 docker.elastic.co/elasticsearch/elasticsearch:7.17.21
