package com.muyu.system.domain.resp;


import com.muyu.common.system.domain.SysRole;
import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author DongZl
 * @description: 授权角色返回结果集
 * @Date 2023-6-19 下午 02:50
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AuthRoleResp {

    /**
     * 用户信息
     */
    private SysUser user;

    /**
     * 角色集合
     */
    private List<SysRole> roles;
}
