package com.muyu.system.domain.resp;

import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author DongZl
 * @description: 个人信息模型对象
 * @Date 2023-6-19 下午 02:05
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProfileResp {

    /**
     * 系统用户
     */
    private SysUser sysUser;

    /**
     * 用户权限组
     */
    private String roleGroup;

    /**
     * 用户岗位组
     */
    private String postGroup;
}
